package com.ruoyi.project.common.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.project.common.domain.MessageUser;
import com.ruoyi.project.common.mapper.MessageUserMapper;
import com.ruoyi.project.common.service.IMessageUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 物料消息人员Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-04-17
 */
@Service
public class MessageUserServiceImpl implements IMessageUserService
{
    @Autowired
    private MessageUserMapper messageUserMapper;

    /**
     * 查询物料消息人员
     * 
     * @param id 物料消息人员主键
     * @return 物料消息人员
     */
    @Override
    public MessageUser selectMessageUserById(Long id)
    {
        return messageUserMapper.selectMessageUserById(id);
    }

    /**
     * 查询物料消息人员列表
     * 
     * @param messageUser 物料消息人员
     * @return 物料消息人员
     */
    @Override
    public List<MessageUser> selectMessageUserList(MessageUser messageUser)
    {
        return messageUserMapper.selectMessageUserList(messageUser);
    }

    /**
     * 新增物料消息人员
     * 
     * @param messageUser 物料消息人员
     * @return 结果
     */
    @Override
    public int insertMessageUser(MessageUser messageUser)
    {
        messageUser.setCreateTime(DateUtils.getNowDate());
        return messageUserMapper.insertMessageUser(messageUser);
    }

    /**
     * 修改物料消息人员
     * 
     * @param messageUser 物料消息人员
     * @return 结果
     */
    @Override
    public int updateMessageUser(MessageUser messageUser)
    {
        messageUser.setUpdateTime(DateUtils.getNowDate());
        return messageUserMapper.updateMessageUser(messageUser);
    }

    /**
     * 批量删除物料消息人员
     * 
     * @param ids 需要删除的物料消息人员主键
     * @return 结果
     */
    @Override
    public int deleteMessageUserByIds(Long[] ids)
    {
        return messageUserMapper.deleteMessageUserByIds(ids);
    }

    /**
     * 删除物料消息人员信息
     * 
     * @param id 物料消息人员主键
     * @return 结果
     */
    @Override
    public int deleteMessageUserById(Long id)
    {
        return messageUserMapper.deleteMessageUserById(id);
    }
}
